| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IDataBroker Struct Referenceabstract

`#include <GaudiKernel/IDataBroker.h>`

Inheritance diagram for IDataBroker:
[legend]
Collaboration diagram for IDataBroker:
[legend]

## Public Member Functions
| DeclareInterfaceID (IDataBroker, 1, 0)
| InterfaceID. More...
virtual std::vector< Gaudi::Algorithm * > | algorithmsRequiredFor (const DataObjIDColl &requested, const std::vector< std::string > &stoppers={}) const =0
| Get the (ordered!) list of algorithms required to provide a given DataObjIDColl. More...
virtual std::vector< Gaudi::Algorithm * > | algorithmsRequiredFor (const Gaudi::Utils::TypeNameString &alg, const std::vector< std::string > &stoppers={}) const =0
| Get the (ordered!) list of algorithms required to succesfully execute (as far as data dependencies go) the specified algorithm. More...

## Additional Inherited Members
Public Types inherited from extend_interfaces< IInterface >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...

## Detailed Description

Definition at line 32 of file IDataBroker.h.

## Member Function Documentation

## ◆ algorithmsRequiredFor() [1/2]

virtual std::vector<Gaudi::Algorithm*> IDataBroker::algorithmsRequiredFor | ( | const DataObjIDColl & | requested,
|  | const std::vector< std::string > & | stoppers = `{}`
| ) |  | const
| pure virtual

Get the (ordered!) list of algorithms required to provide a given DataObjIDColl.

## ◆ algorithmsRequiredFor() [2/2]

virtual std::vector<Gaudi::Algorithm*> IDataBroker::algorithmsRequiredFor | ( | const Gaudi::Utils::TypeNameString & | alg,
|  | const std::vector< std::string > & | stoppers = `{}`
| ) |  | const
| pure virtual

Get the (ordered!) list of algorithms required to succesfully execute (as far as data dependencies go) the specified algorithm.

## ◆ DeclareInterfaceID()

IDataBroker::DeclareInterfaceID | ( | IDataBroker | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/IDataBroker.h